# Uses of Interface
java.lang.classfile.attribute.RuntimeInvisibleTypeAnnotationsAttribute

Packages that use RuntimeInvisibleTypeAnnotationsAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of RuntimeInvisibleTypeAnnotationsAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type RuntimeInvisibleTypeAnnotationsAttribute
Modifier and Type
Method
Description
`static AttributeMapper<RuntimeInvisibleTypeAnnotationsAttribute>`
Attributes.`runtimeInvisibleTypeAnnotations()`
Returns the mapper for the `RuntimeInvisibleTypeAnnotations` attribute.

## Uses of RuntimeInvisibleTypeAnnotationsAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type RuntimeInvisibleTypeAnnotationsAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`RuntimeInvisibleTypeAnnotationsAttribute`
Models the `RuntimeInvisibleTypeAnnotations` attribute (JVMS §4.7.21), which stores type-use annotations for the annotated uses of types in this structure that are visible to `class` file consumers but are not visible to core reflection.
Methods in java.lang.classfile.attribute that return RuntimeInvisibleTypeAnnotationsAttribute
Modifier and Type
Method
Description
`static RuntimeInvisibleTypeAnnotationsAttribute`
RuntimeInvisibleTypeAnnotationsAttribute.`of(TypeAnnotation... annotations)`
Returns a `RuntimeInvisibleTypeAnnotations` attribute.
`static RuntimeInvisibleTypeAnnotationsAttribute`
RuntimeInvisibleTypeAnnotationsAttribute.`of(List<TypeAnnotation> annotations)`
Returns a `RuntimeInvisibleTypeAnnotations` attribute.